Nvidia 96xx drivers and 2.6.25-series kernels

A year or so ago I was tinkering with the 87xx-series drivers and the Feisty kernel, and managed to get them working. This morning I ran into a similar problem — no working binary driver for my Geforce 440 Go card, where every attempt to build the module(s) failed.

I found this thread in the NvNews forums that explains the issue — that the driver needs to be patched before it can be compiled against the 2.6.25 kernel. Sounds a lot like what I was doing a year and a half ago.

I made sure I had a compatible kernel by following this page in the Gentoo documentation, then patched and built the driver. The short steps in the post worked perfectly for me. Installing it and applying the changes only took a few minutes, and I have 2200+ fps in glxgears in Crux Linux now. I still have to add

Option "UseDisplayDevice" "DFP"

in the Device section, or I get a blank screen. Then I add my own last step -- the nvidia-xconfig --composite --allow-glx-with-composite --render-accel --add-argb-glx-visuals --no-logo -- and everything is wonderful again.

Well, almost everything. I do, of course, have a one-second-long hang attached to my boot while the screen snaps to life (which doesn't happen with the xf86 nv driver) but screen rendering and general desktop performance are better. You give a little, you get a little, I say.

About these ads

3 thoughts on “Nvidia 96xx drivers and 2.6.25-series kernels

  1. grndrush

    Thank GOD! I’m *not* the only one! I believe I have a near-identical, if not identical, card, (GeForce2 MX/440), and I’ve had this problem since May. :(

    I’m using Arch Linux, which is a terrific distro, but has a rather odd group of devs, and my complaining about this problem has apparently landed me on their “do not reply to” list. But I KNEW someone else had to have it, also!

    I can’t install the drivers in Arch using the “traditional” NVidia method.

    The only workaround I’ve found for now is to do full system upgrades, including the kernel and nvidia drivers (2.6.25 kernel headers are needed by numerous apps), then downgrade to the 2.6.24 kernel AND 96.43.05 NVidia drivers. I don’t know if it’s just one of the two, or both, that have a problem, and frankly, this has taken WAY too much of my time already! I’m sticking with what works and assuming this’ll get someone’s attention somewhere soon, and get fixed…

    THANKS.

    Reply
  2. grndrush

    I see you’re also an Arch’er (part-time, anyway). I just installed kernel 2.6.26-2 and nvidia drivers version 96.43.07-4. All is BEAUTIFUL – AND, I’m current for the first time in almost 2 months! Thanks!

    Reply
  3. K.Mandla Post author

    Yes, I was just about to say that the 2.6.26 kernel and the freshest 96xx drivers are happy together. It was just the .25 and the earlier driver that behaved strangely. Hopefully this will be the case for a while to come. … :|

    Reply

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s